Name:           postgis
Version:        3.3.2
Release:        %mkrel 2
Summary:        Geographic objects to the PostgreSQL object-relational database
License:        GPLv2+
Group:          Sciences/Geosciences
Url:            https://www.postgis.net
Source0:        https://download.osgeo.org/postgis/source/%{name}-%{version}.tar.gz
Patch0:         postgis-3.0.0-fix-datadir-for-gui.patch

BuildRequires:  bison
BuildRequires:  byacc
BuildRequires:  clang
BuildRequires:  llvm
BuildRequires:  flex
BuildRequires:  imagemagick
BuildRequires:  libxslt-proc
BuildRequires:  gettext-devel
BuildRequires:  pkgconfig(cunit)
BuildRequires:  postgresql-devel >= 12.0
BuildRequires:  proj
BuildRequires:  pkgconfig(proj)
BuildRequires:  geos-devel
BuildRequires:  pkgconfig(libxml-2.0)
BuildRequires:  pkgconfig(gdal)
BuildRequires:  pkgconfig(json-c)
BuildRequires:  pkgconfig(libprotobuf-c)
BuildRequires:  pkgconfig(gtk+-2.0)

Requires:       postgresql-plpgsql >= 12.0
Requires:       postgresql-libs >= 12.0

%description
PostGIS is a spatial database extender for PostgreSQL
object-relational database. It adds support for geographic objects
allowing location queries to be run in SQL.

%package gui
Summary:	GUI for Shapefile to PostGIS import tool
Group:		Sciences/Geosciences

%description gui
GUI for Shapefile to PostGIS import tool which you can import
shapefiles into PostGIS databases.

%prep
%autosetup -p1
./autogen.sh

%build
export LDFLAGS="-lm"
%configure \
         --with-gui \
         --disable-static \
         --disable-rpath
%make_build

%install
%make_install

cp utils/postgis*.pl %{buildroot}%{_bindir}
%__chmod 755 %{buildroot}%{_bindir}/postgis*.pl
%__mkdir %{buildroot}%{_docdir}/postgis
mv %{buildroot}%{_docdir}/postgresql %{buildroot}%{_docdir}/postgis/

find %{buildroot} -name "*.la" -delete

%files
%doc COPYING README.postgis
%{_bindir}/postgis*
%{_bindir}/pgsql2shp
%{_bindir}/raster2pgsql
%{_bindir}/shp2pgsql
%{_bindir}/pgtopo_export
%{_bindir}/pgtopo_import
%{_libdir}/postgresql/postgis_topology-3.so
%{_libdir}/postgresql/postgis-3.so
%{_libdir}/postgresql/address_standardizer-3.so
%{_libdir}/postgresql/postgis_raster-3.so
%{_libdir}/postgresql/bitcode/
%{_datadir}/postgresql/contrib
%{_datadir}/postgresql/extension
%{_docdir}/postgis/postgresql/extension

%files gui
%{_bindir}/shp2pgsql-gui
%{_datadir}/applications/shp2pgsql-gui.desktop
%{_iconsdir}/hicolor/*/*/shp2pgsql-gui.png


%changelog
* Tue Dec 06 2022 eatdirt <eatdirt> 3.3.2-2.mga9
+ Revision: 1918739
- Rebuild for new gdal

* Tue Nov 15 2022 kekepower <kekepower> 3.3.2-1.mga9
+ Revision: 1907789
- Update to version 3.3.2

* Sun May 08 2022 eatdirt <eatdirt> 3.2.1-1.mga9
+ Revision: 1856784
- Update to version 3.2.1
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 02 2022 mrambo3501 <mrambo3501> 3.2.0-1.mga9
+ Revision: 1770932
- version 3.2.0

* Sat Dec 11 2021 eatdirt <eatdirt> 3.1.4-1.mga9
+ Revision: 1761486
- Upgrade to version 3.1.4

* Thu May 06 2021 daviddavid <daviddavid> 3.1.1-3.mga9
+ Revision: 1721871
- rebuild for new gdal 3.3.0

* Thu Mar 25 2021 daviddavid <daviddavid> 3.1.1-2.mga9
+ Revision: 1710155
- rebuild for new gdal 3.2.2

* Wed Mar 10 2021 daviddavid <daviddavid> 3.1.1-1.mga9
+ Revision: 1701084
- new version: 3.1.1

* Sun Nov 29 2020 luigiwalser <luigiwalser> 3.0.2-2.mga8
+ Revision: 1650346
- rebuild for json-c

* Sat Oct 31 2020 joequant <joequant> 3.0.2-1.mga8
+ Revision: 1640854
- update to 3.0.2

* Sat Oct 31 2020 akien <akien> 3.0.1-5.mga8
+ Revision: 1640848
- Rebuild against gdal with fixed netcdf major dep

* Thu Jul 16 2020 daviddavid <daviddavid> 3.0.1-4.mga8
+ Revision: 1606468
- rebuild for new gdal 3.1.2
+ pterjan <pterjan>
- Remove usage of obsolete macros (https://github.com/rpm-software-management/rpm/issues/1211)

* Fri Mar 20 2020 eatdirt <eatdirt> 3.0.1-3.mga8
+ Revision: 1558279
- Rebuild for new libproj

* Sun Mar 15 2020 daviddavid <daviddavid> 3.0.1-2.mga8
+ Revision: 1556470
- rebuild for new gdal 3.0.4

* Fri Mar 06 2020 daviddavid <daviddavid> 3.0.1-1.mga8
+ Revision: 1554334
- new version: 3.0.1

* Tue Feb 18 2020 umeabot <umeabot> 3.0.0-2.mga8
+ Revision: 1538782
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Nov 25 2019 daviddavid <daviddavid> 3.0.0-1.mga8
+ Revision: 1462812
- new version: 3.0.0
- enable the gui support
- liblwgeom headers are not installed anymore
  * If your project depends on them available, please use
    librttopo instead (Darafei Praliaskouski)

* Sun Apr 14 2019 daviddavid <daviddavid> 2.5.2-1.mga7
+ Revision: 1389892
- new version: 2.5.2
- enable protobuf-c support

* Mon Apr 01 2019 daviddavid <daviddavid> 2.5.1-3.mga7
+ Revision: 1384328
- rebuild for arm

* Thu Mar 07 2019 eatdirt <eatdirt> 2.5.1-2.mga7
+ Revision: 1372223
- Rebuild for new proj

* Wed Mar 06 2019 eatdirt <eatdirt> 2.5.1-1.mga7
+ Revision: 1372015
- Upgrade to version 2.5.1, anticipated fix for proj4 6.0

* Sun Sep 23 2018 umeabot <umeabot> 2.4.4-3.mga7
+ Revision: 1300353
- Mageia 7 Mass Rebuild

* Thu Jul 26 2018 daviddavid <daviddavid> 2.4.4-2.mga7
+ Revision: 1245364
- rebuild for new json-c 0.13.1

* Sat Apr 14 2018 kekepower <kekepower> 2.4.4-1.mga7
+ Revision: 1218707
- Update to version 2.4.4

* Sat Mar 17 2018 daviddavid <daviddavid> 2.4.1-2.mga7
+ Revision: 1210021
- rebuild for new proj 5.0.0

* Tue Oct 31 2017 eatdirt <eatdirt> 2.4.1-1.mga7
+ Revision: 1175168
- Upgrade to version 2.4.1
- Rebuild for new libproj

* Fri May 20 2016 eatdirt <eatdirt> 2.2.2-3.mga6
+ Revision: 1017139
- Fix docdir own by package
- Upgrade to versio 2.2.2
+ tv <tv>
- rebuild for new libproj

* Sun Apr 03 2016 daviddavid <daviddavid> 2.1.8-1.mga6
+ Revision: 997918
- new version: 2.1.8 (fixes build against postgresql9.5)

* Sun Jan 10 2016 wally <wally> 2.1.7-3.mga6
+ Revision: 920924
- rebuild for new gdal

* Wed May 06 2015 philippem <philippem> 2.1.7-2.mga5
+ Revision: 821355
- update to 2.1.7, fix mga#15741

* Tue Nov 25 2014 cjw <cjw> 2.1.3-4.mga5
+ Revision: 798953
- rebuild against postgresql9.4

* Wed Oct 15 2014 umeabot <umeabot> 2.1.3-3.mga5
+ Revision: 741565
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.1.3-2.mga5
+ Revision: 687732
- Mageia 5 Mass Rebuild

* Mon Aug 18 2014 fwang <fwang> 2.1.3-1.mga5
+ Revision: 665028
- fix build
- update json-c dir
- 2.1.3

* Sat Oct 19 2013 umeabot <umeabot> 2.1.0-3.mga4
+ Revision: 534263
- Mageia 4 Mass Rebuild

* Tue Sep 10 2013 fwang <fwang> 2.1.0-2.mga4
+ Revision: 477057
- update file list

* Tue Sep 10 2013 fwang <fwang> 2.1.0-1.mga4
+ Revision: 477051
- update json-c include dir
- fix linkage
- new version 2.1.0
- enable static for liblwgeom
- rebuild for new postgresql
+ obgr_seneca <obgr_seneca>
- new version 2.0.1

* Sun Jan 13 2013 umeabot <umeabot> 1.5.8-2.mga3
+ Revision: 378095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 fwang <fwang> 1.5.8-1.mga3
+ Revision: 319098
- new version 1.5.8
- br postgre 9.2

* Wed Jun 20 2012 obgr_seneca <obgr_seneca> 1.5.3-7.mga3
+ Revision: 262119
- Rebuild against new geos

* Mon Jun 04 2012 obgr_seneca <obgr_seneca> 1.5.3-6.mga3
+ Revision: 254006
- Rebuild against new geos

* Tue Jan 17 2012 obgr_seneca <obgr_seneca> 1.5.3-5.mga2
+ Revision: 197247
- build against postgres 9.1
- rebuild for new libgeos

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 1.5.3-4.mga2
+ Revision: 162074
- fixed requires for 64bit systems

* Thu Nov 03 2011 obgr_seneca <obgr_seneca> 1.5.3-3.mga2
+ Revision: 162063
- rebuild against new geos
- changed BR and R so postgres9.0 is needed
-rebuild against new geos

* Sun Jun 26 2011 fwang <fwang> 1.5.3-1.mga2
+ Revision: 113836
- new version 1.5.3

* Wed Mar 30 2011 ennael <ennael> 1.5.2-2.mga1
+ Revision: 79099
- imported package postgis

